Read the unified event feed
curl --request GET \
--url https://www.presolve.com/api/v1/events \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.presolve.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"events": [
{
"id": "<string>",
"cursor": "<string>",
"entity": "<string>",
"entityId": "<string>",
"eventType": "<string>",
"occurredAt": "<string>",
"actor": {
"id": "<string>",
"type": "<string>",
"name": "<string>"
},
"payload": {},
"diff": {},
"relatedIds": [
{
"entity": "<string>",
"id": "<string>"
}
],
"correlationId": "<string>",
"metadata": {}
}
],
"nextCursor": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Events & Webhooks
Read the unified event feed
Cursor-ordered public event feed. Requires events:read; results are additionally scope-filtered — a key only sees events for entities whose requiredScope it also holds (e.g. case.* events require cases:read).
Requires the events:read scope. Rate tier: read.
GET
/
api
/
v1
/
events
Read the unified event feed
curl --request GET \
--url https://www.presolve.com/api/v1/events \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.presolve.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"events": [
{
"id": "<string>",
"cursor": "<string>",
"entity": "<string>",
"entityId": "<string>",
"eventType": "<string>",
"occurredAt": "<string>",
"actor": {
"id": "<string>",
"type": "<string>",
"name": "<string>"
},
"payload": {},
"diff": {},
"relatedIds": [
{
"entity": "<string>",
"id": "<string>"
}
],
"correlationId": "<string>",
"metadata": {}
}
],
"nextCursor": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Authorizations
Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 500Required string length:
1 - 100Required string length:
1 - 200Required string length:
1 - 200